**********************************************************************
*** Do file to replicate the descriptive statistics in "the 'Most Important Problem' Dataset (MIPD): A New Dataset on American Issue Importance"
***
*** Created: 8-15-16
*** Modified:
***
**********************************************************************


*******************************************************************************************
*** Individual-level descriptive statistics
*******************************************************************************************
use "MIPD--Release 1.0.dta", clear

*** Drop those surveys with inappropriate question wordings (see codebook)
drop if inlist(mipid, 3, 17, 23, 30, 31)

*** Number of respondents and surveys
tab mip_marpor1
qui tab studyid if !missing(mip_marpor1)
di r(r)

*** Survey organizations
tab surveyorganization

*** Singer coding scheme
tab mip_singer1

*** Availability of different questions
foreach v of varlist approve approve_economy approve_fp mip_party {
	qui tab studyid if !missing(`v')
	di _newline(2) "`v': Number of observations = " r(N) "   Number of surveys = " r(r)
}


**********************************************************************
*** Correlations between subgroups at aggregate level
**********************************************************************
use "MIPD Aggregate--CMPS.dta", clear

keep if problem == 1

*** MIP percentages: Republican vs Democrat
preserve
	keep if inlist(pid, 1, 3)
	reshape wide perc, i(fw_start) j(pid)
	pwcorr perc1 perc3, sig
restore

*** MIP percentages: Conservatives vs Liberals
preserve
	keep if inlist(ideology, 1, 3)
	reshape wide perc, i(fw_start) j(ideology)
	pwcorr perc1 perc3, sig
restore
